Google Flutter

Flutter: วิธีแก้ไข dart can’t be opened because Apple cannot check it for malicious software

เรื่องที่เกี่ยวข้อง - ,

นี่เป็นหนึ่งในคำถามที่พูดคุยกันในคอร์สเรียนวิดีโอออนไลน์ “เริ่มต้นเรียนรู้สร้างแอพ iOS และ Android ด้วย Google Flutter สำหรับผู้เริ่มต้น” ดูรายละเอียดได้ที่นี่ครับ

ปัญหา

หลังจากติดตั้ง Flutter SDK บน MacOS แล้ว พอต้องการรันคำสั่งเรียกใช้งาน flutter ในการสร้างโปรเจค หรืออะไรก็ตาม เจอระบบขึ้นป๊อบอัพฟ้องแบบนี้

dart can’t be opened because Apple cannot check it for malicious software

วิธีแก้ไข

  1. เปิดโปรแกรม System Preference
  2. เข้าไปในส่วนของ Security & Privacy

ในส่วนที่ชื่อ General ด้านล่างจะขึ้นข้อความคล้ายกับที่เจอในป๊อบอัพ

ให้กดปุ่ม Allow Anyway (หรือที่คล้ายในบริเวณเดียวกัน)

เสร็จเรียบร้อยแล้ว ลองกลับมาลองใช้งาน flutter ใหม่ หลายคนทำแล้วผ่านฉลุยครับ

อ้างอิง – StackOverflow

Loading Facebook Comments ...
Menu